Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD VBA
  Bearbeiten von Mechanical - Elementen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Bearbeiten von Mechanical - Elementen (380 mal gelesen)
Abele
Mitglied



Sehen Sie sich das Profil von Abele an!   Senden Sie eine Private Message an Abele  Schreiben Sie einen Gästebucheintrag für Abele

Beiträge: 71
Registriert: 09.06.2004

erstellt am: 20. Sep. 2004 13:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen 

Weiß jemand ob es eine Möglichkeit gibt, Objekte, die von Mechanical erstellt wurden mit VBA zu bearbeiten?
Ich habe Beispielsweise Oberflächenzeichen in der Zeichnung, die ich mittels VBA auflösen(Explode) möchte.

Bin für jede Antwort dankbar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

ACAD 2008 Mechanical

erstellt am: 20. Sep. 2004 13:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Abele 10 Unities + Antwort hilfreich

versuch es mal mit

(vlax-dump-object(vlax-ename->vla-object(car(entsel)))'T)

in der Befehlszeile und klicke dann das entsprechende Objekt an,... die Funktion liefert dir alle Eigenschaften und Methoden des Objektes zurück.
Was du daraus im VBA verwenden kannst mußt du sehen.

------------------
- Thomas -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Abele
Mitglied



Sehen Sie sich das Profil von Abele an!   Senden Sie eine Private Message an Abele  Schreiben Sie einen Gästebucheintrag für Abele

Beiträge: 71
Registriert: 09.06.2004

erstellt am: 20. Sep. 2004 13:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Die Liste ist schon mal interessant.
Gibt es in VBA eigentlich eine Möglichkeit diese Elemente korrekt zu deklarieren oder kann ich sie nur als AcadEntitys packen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz